// ************************************************************************************************************
// Author: Marcin Załęczny
// Release Date: 2010-11-08
// Licence: The GNU Lesser General Public License, version 3.0 (LGPLv3)
// ************************************************************************************************************
#ifndef __MZSTDXPS_XPS_RELATIONSHIPS_H__
#define __MZSTDXPS_XPS_RELATIONSHIPS_H__

#include "mzstdxpsCommon.h"
#include "mzObject.h"
#include "mzArrayList.h"
#include "mzString.h"

#include "mzXmlDocument.h"
#include "mzXmlNode.h"

class DECLSPEC_MZSTDXPS CXpsRelationships : public CXmlDocument {
public:
	WINAPI CXpsRelationships();
	WINAPI CXpsRelationships(CString xmlVersion, CString xmlEncoding);
    virtual WINAPI ~CXpsRelationships();

    BOOL WINAPI addRelationship(CString target, CString id, CString type);
    BOOL WINAPI removeRelationship(CString target, CString id, CString type);
    CString WINAPI getFirstAvailableId();
};

#endif
